For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.
List Prompt Versions
List the versions of a Prompt, newest first, with each version type (Live, Candidate, Draft, Archive) and model settings.
List the versions of a Prompt, newest first, with each version type (Live, Candidate, Draft, Archive) and model settings.
https://statsigapi.net/console/v1/prompts/{id}/versionsAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredid
Query parameters
limitintegerResults per page
10stringnumberpageintegerPage number
1stringnumberResponse
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobject[]requiredShow child attributes
idstringrequiredmin length: 3max length: 100namestringrequiredmin length: 3max length: 100typestringLive is served to users; Candidate is served to code for shadow runs; Draft and Archive are not served.
LiveCandidateArchiveDraftversionnumberformat: doublepromptsobject[]rolestringrequiredcontentstringrequiredmodelstringproviderstringeval_modelstringtemperaturenumberformat: doubletop_pnumberformat: doublemax_tokensnumberformat: doublefrequency_penaltynumberformat: doublepresence_penaltynumberformat: doubleworkflow_urlstringnullablecreatedTimenumberformat: doublelastModifiedTimenumberformat: doubleeval_run_idstringSet only by Start Prompt Version Evaluation Job: the eval run it started. Poll it with List Prompt Version Eval Runs.
paginationobjectrequiredPagination metadata for checking if there is next page for example.
Show child attributes
itemsPerPagenumberrequiredformat: doublepageNumbernumberrequiredformat: doublenextPagestringrequirednullablepreviousPagestringrequirednullabletotalItemsnumberformat: doubleallstringstatusintegerrequired404messagestringrequiredWas this helpful?